rizamodocs
Inbox

Reply in a thread

POST
/inbox/threads/{id}/messages

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from the web app, under Developers. It starts with rz_live_.

Path Parameters

id*string

Request Body

application/json
  1. body
text*string
Length1 <= length <= 2000

Response Body

OK

application/json
  1. response
id*string
threadId*string
direction*string
Value in"in""out"
text*string
at*string
Formatdate-time
sentBy*||null
Example Request
curl -X POST 'https://api.rizamo.com/v1/inbox/threads/string/messages' \  -H 'Content-Type: application/json' \  -d '{  "text": "string"}'
Example Response201
{  "id": "string",  "threadId": "string",  "direction": "in",  "text": "string",  "at": "2019-08-24T14:15:22Z",  "sentBy": {    "type": "agent",    "agent": "claude",    "name": "string"  }}